PETSc version 3.15.5
Fix/Edit manual page

# DMCompositeGetGlobalISs

Gets the index sets for each composed object

### Synopsis

    #include "petscdmcomposite.h"
    PetscErrorCode  DMCompositeGetGlobalISs(DM dm,IS *is[])

Collective on dm

### Input Parameter

| dm | - the packer object

### Output Parameters

| is | - the array of index sets

### Notes

The is entries should be destroyed with ISDestroy(), the is array should be freed with PetscFree()

These could be used to extract a subset of vector entries for a "multi-physics" preconditioner

Use DMCompositeGetLocalISs() for index sets in the packed local numbering, and DMCompositeGetISLocalToGlobalMappings() for to map local sub-DM (including ghost) indices to packed global indices.

### Fortran Notes

The output argument 'is' must be an allocated array of sufficient length, which can be learned using DMCompositeGetNumberDM().

### See Also

DMDestroy(), DMCompositeAddDM(), DMCreateGlobalVector(),
DMCompositeGather(), DMCompositeCreate(), DMCompositeGetAccess(), DMCompositeScatter(), DMCompositeGetLocalVectors(), DMCompositeRestoreLocalVectors(),DMCompositeGetEntries()

### Level

advanced

### Location

src/dm/impls/composite/pack.c

### Examples

src/snes/tutorials/ex28.c.html
src/snes/tutorials/ex73f90t.F90.html
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages